APF-Tracker

Adventure PHP Framework Issue Management


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208Adventure PHP FrameworkNeues Feature // New Featurepublic2014-06-17 13:412015-10-12 12:19
ReporterChristianAchatz 
Assigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000208: Support multiple formats in DateSelectorTag::setDate()
DescriptionATM, DateSelectorTag::setDate() only supports strings to be used to set the date of a date control instance. To ease development and allow easy encapsulation of date objects, it should be possible to directly pass a DateTime instance to setDate().

The same applies to TimeSelectorTag::setTime(). It would be helpful to be able to pass a DateTime instance here as well.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools
Attached Files

- Relationships

-  Notes
(0000468)
ChristianAchatz (administrator)
2014-07-30 08:58

Signature changed to

- DateTime DateSelectorTag::getDate()
- DateSelectorTag::setDate(DateTime|string)
- DateTime TimeSelectorTag::getTime()
- TimeSelectorTag::setTime(DateTime|string)
(0000469)
ChristianAchatz (administrator)
2014-08-02 13:43

Migration docs done.

- Issue History
Date Modified Username Field Change
2014-06-17 13:41 ChristianAchatz New Issue
2014-07-30 08:58 ChristianAchatz Note Added: 0000468
2014-07-30 08:58 ChristianAchatz Status new => resolved
2014-07-30 08:58 ChristianAchatz Fixed in Version => 3.0
2014-07-30 08:58 ChristianAchatz Resolution open => fixed
2014-07-30 08:58 ChristianAchatz Assigned To => ChristianAchatz
2014-08-02 13:43 ChristianAchatz Note Added: 0000469
2015-10-12 12:19 ChristianAchatz Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker